summaryrefslogtreecommitdiffstats
path: root/release/amd64
diff options
context:
space:
mode:
authorobrien <obrien@FreeBSD.org>2001-08-20 21:22:33 +0000
committerobrien <obrien@FreeBSD.org>2001-08-20 21:22:33 +0000
commit13444b820b77541cb2a313742b8a9c360eb2ea67 (patch)
treeb062cfedec2ec15adebf8026112f58fc3022b1ab /release/amd64
parentf44504864a493f705f3e6f45bc827c145547aeb3 (diff)
downloadFreeBSD-src-13444b820b77541cb2a313742b8a9c360eb2ea67.zip
FreeBSD-src-13444b820b77541cb2a313742b8a9c360eb2ea67.tar.gz
+ do not hard code where a port may be installed to
+ uses `mkisofs' rather than `mkhybrid' as the new mkisofs is the merger of the two + checks for `setcdboot's existsance and tries to pkg_add it if needed + removes English contraction Approved by: jkh
Diffstat (limited to 'release/amd64')
-rw-r--r--release/amd64/mkisoimages.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/release/amd64/mkisoimages.sh b/release/amd64/mkisoimages.sh
index 78221f9..c61ee55 100644
--- a/release/amd64/mkisoimages.sh
+++ b/release/amd64/mkisoimages.sh
@@ -36,10 +36,11 @@ if [ $# -lt 3 ]; then
exit 1
fi
-if [ ! -x /usr/local/bin/mkhybrid ]; then
+type mkisofs 2>&1 | grep " is " >/dev/null
+if [ $? -eq 0 ]; then
echo The mkisofs port is not installed. Trying to get it now.
if ! pkg_add -r mkisofs; then
- echo "Couldn't get it via pkg_add - please go install this"
+ echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2
fi
@@ -48,4 +49,4 @@ fi
LABEL=$1; shift
NAME=$1; shift
-mkhybrid $bootable -r -J -h -V $LABEL -o $NAME $*
+mkisofs $bootable -r -J -h -V $LABEL -o $NAME $*
OpenPOWER on IntegriCloud